__gnu_parallel::_PseudoSequenceIterator< _Tp, _DifferenceTp >(3cxx)

NAME
__gnu_parallel::_PseudoSequenceIterator< _Tp, _DifferenceTp > - _Iterator associated with __gnu_parallel::_PseudoSequence. If features the usual random-access iterator functionality.

SYNOPSIS

  Public Types

typedef _DifferenceTp _DifferenceType

  Public Member Functions

_PseudoSequenceIterator (const _Tp &__val, _DifferenceType __pos)
bool operator!= (const _PseudoSequenceIterator &__i2)
const _Tp & operator* () const
_PseudoSequenceIterator & operator++ ()
_PseudoSequenceIterator operator++ (int)
_DifferenceType operator- (const _PseudoSequenceIterator &__i2)
bool operator== (const _PseudoSequenceIterator &__i2)
const _Tp & operator[] (_DifferenceType) const

Detailed Description

  template<typename _Tp, typename _DifferenceTp>
class __gnu_parallel::_PseudoSequenceIterator< _Tp, _DifferenceTp >" _Iterator associated with __gnu_parallel::_PseudoSequence. If features the usual random-access iterator functionality.

Parameters:
    _Tp Sequence _M_value type.
    _DifferenceTp Sequence difference type.

Definition at line 306 of file parallel/base.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.